/**
 ** dtmCntrlTaskCodels.c
 **
 ** Codels used by the control task dtmCntrlTask
 **
 ** Auteur: 
 ** Date: 
 **
 **/

#include <portLib.h>

#include <assert.h>
#include <stdlib.h>
#include <h2timeLib.h>

#include "server/dtmHeader.h"

/* #include "cameraClient.h" */
/* #include "stereopixelClient.h" */

#include "libdtm.h"



extern int dtm_checkP3dPosterParams (int nblig, int nbcol, double	zOffset, double	zScale);

/*------------------------------------------------------------------------
 * dtmSetP3dPosterParamsCntrl  -  control codel of CONTROL request SetP3dPosterParams
 *
 * Description:    
 * Report (bilan): OK 
 *                 S_dtm_CALIFE_ERROR
 *
 * Return:    OK ou ERROR
 */

STATUS dtmSetP3dPosterParamsCntrl (DtmPosterParams *p3dPosterParams, int *bilan)
{
  STATUS status = OK;

  /* TODO : vérifier que la taille du poster n'est pas plus gde que le mnt
     interne -> mettre le mnt dans la SDI ??? */
  if (dtm_checkP3dPosterParams (p3dPosterParams->nbLines,
				p3dPosterParams->nbCols,
				p3dPosterParams->zOffset,
				p3dPosterParams->zScale) != DTM_OK) 
    {
      fprintf(stderr, "Errors in the p3dPoster params");
      *bilan = S_dtm_CALIFE_ERROR;
      status = ERROR;
    }
  
  return status;
}


/*------------------------------------------------------------------------
 * dtmSetSaveParamsCntrl  -  control codel of CONTROL request SetSaveParams
 *
 * Description:    
 * Report (bilan): OK 
 *
 * Return:    OK ou ERROR
 */

STATUS dtmSetSaveParamsCntrl (DtmSaveParams *saveParams, int *bilan)
{
  STATUS status = OK;  

  /* TODO */

  return status;
}

/*------------------------------------------------------------------------
 * dtmSetDisplayParamsCntrl  -  control codel of CONTROL request SetDisplayParams
 *
 * Description: just checks the validity of the the DTM display params. 
 *
 * Report (bilan): OK 
 *                 S_dtm_BAD_DISPLAY_PARAMS
 *
 * Return:    OK ou ERROR
 */

STATUS dtmSetDisplayParamsCntrl (int *bilan)
{
  STATUS status = OK;

  
  return status;
}

